package com.sheep.gamegroup.model.entity;

import android.graphics.Color;
import android.text.Spannable;
import android.text.SpannableStringBuilder;
import android.text.style.AbsoluteSizeSpan;
import android.text.style.ForegroundColorSpan;

import com.sheep.gamegroup.absBase.AbsFocus;
import com.sheep.gamegroup.util.ResourceUtils;
import com.sheep.gamegroup.util.string.SpannableSb;
import com.sheep.jiuyan.samllsheep.R;

import java.util.Locale;

/**
 * Created by realicing on 2018/11/22.
 * realicing@sina.com
 * 小绵羊3.4.5新增--用户关注的用户
 * <p>
 * avatar:	string
 * 关注人头像
 * create_time:	integer ($int64)
 * focus_user_id:	integer ($int64)
 * 关注的用户id
 * id:	integer ($int64)
 * is_follow:	integer ($int64)
 * 我是否已关注 1:已关注 0:未关注
 * nickname:	string
 * 关注人昵称
 * user_id:	integer ($int64)
 * 用户id
 * user_type:	string
 * 关注人类型，目前全是资深玩家
 */
public class UserFocusLog extends AbsFocus {
    private String avatar;

    private int create_time;

    private int focus_user_id;

    private int id;

    private String nickname;

    private int user_id;

    private String user_type;

    private int is_follow;

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getAvatar() {
        return this.avatar;
    }

    public void setCreate_time(int create_time) {
        this.create_time = create_time;
    }

    public int getCreate_time() {
        return this.create_time;
    }

    public void setFocus_user_id(int focus_user_id) {
        this.focus_user_id = focus_user_id;
    }

    public int getFocus_user_id() {
        return this.focus_user_id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return this.id;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getNickname() {
        return this.nickname;
    }

    public void setUser_id(int user_id) {
        this.user_id = user_id;
    }

    public int getUser_id() {
        return this.user_id;
    }

    public void setUser_type(String user_type) {
        this.user_type = user_type;
    }

    public String getUser_type() {
        return this.user_type;
    }

    public int getIs_follow() {
        return is_follow;
    }

    public void setIs_follow(int is_follow) {
        this.is_follow = is_follow;
    }

    @Override
    public int getTheFocusId() {
        return focus_user_id;
    }

    @Override
    protected int initFocusState() {
        return is_follow;
    }

    public CharSequence getInfo() {
        return new SpannableSb().append(nickname).checkAndBr()
                .append(user_type, R.dimen.text_size_12, "#999999")
                .getSsb();
    }
}
